#ifndef _WINDOWS_H_
#define _WINDOWS_H_

#include<Window.h>
#include<Rect.h>
#include<Menu.h>
#include<MenuBar.h>
#include<MenuItem.h>
#include<Messenger.h>
#include<TextControl.h>
#include<Slider.h>
#include<string.h>
#include<StatusBar.h>
#include"app.h"
#include"breakconst.h"

#define CONF_WINDOW_NAME "Break-O-Matic Setup"

class BreakApp;

//////////////////////////////////
// class ConfigWindow

class ConfigWindow : public BWindow {
	BMenuBar *menubar;
	BTextControl *titlectr;
	BTextControl *textctr;
	BSlider *timeslider;
	BButton *startbutton;
public:
	ConfigWindow(BRect rect);
	void MessageReceived(BMessage *message);
	bool QuitRequested(void);
	void GetValues(char *title, char *label, int32 *time);
}; // ConfigWindow


/////////////////////////////////
// class BreakWindow

class BreakWindow : public BWindow {
	const char *title; 
	char *label;
	int32 time, curr_time;
	BAlert *b;
	BStatusBar *statusbar;
public:
	BreakWindow(BRect rect, char *label, int32 time);
	~BreakWindow(void);
	bool QuitRequested(void);
	void MessageReceived(BMessage *message);
	void UpdateBar(int32 delta);
	

}; // class BreakWindow

#endif // defined( _WINDOWS_H_ )